API references
Search documentation... ⌘K
API references
Merchant API

Request Payout-by-Contact Export

Triggers a background process to generate a CSV export of payouts for a specific contact.

An email notification is sent to the user when the export is ready.

Only one export can be in progress per user at a time. Stale exports (older than 1 hour) are ignored for rate-limiting purposes.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/request-payout-by-contact-export HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
contact_id: string,
format: string?,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
contact_id string

Required. The contact ID (either internal UID or external ID) to export payouts for.

format string

Optional. Currently supported: 'csv' (default: 'csv').

Allowed values:
  • csv
Response attributes
Attribute Description
export_id
string

The unique identifier of the export.

type
string

The type of data exported.

format
string

The file format of the export.

status
string

The current status of the export.

filters
object

The filters applied to the export.

download_url
string

The URL to download the exported file (available if status is completed).

failure_message
string

The error message if the export failed.

created_at
number

The timestamp when the export was requested.

requester_id
string

The unique identifier of the user who requested the export.

requester_email
string

The email address of the user who requested the export.

Errors specific to this endpoint
NOT_FOUND

No contact found with the provided contact_id.

RATE_LIMIT_EXCEEDED

An export is already in progress. Please wait for it to complete.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.